function wave = ifuries(a0,fs,T,t)
%Inverce FURIE Series
%t[GWg`Č
%   t[GWa0,an,bnɂĔg`ČD
%
%     w = ifuries(a0,fs,T,t)
%     a0FoCAX
%         fsFMs2̃t[GWs
%               [an bn]
%         TF
%         tFԃxNg
%   o  waveFČꂽg`
%
    [m n] = size(fs);
    ft = [1/T:1/T:m/T];
    w = 2*pi*t;
    for l = 1:m
        wc(l,:) = fs(l,1) * cos( w*ft(l) );
        ws(l,:) = fs(l,2) * sin( w*ft(l) );
    end
    wave = sum(wc,1) + sum(ws,1) + a0;
