function varargout = SlvHeun(func,span,y0,N)
%[Y,X] = SlvEuler(func,span,y0,N) Euler Method
%Euler@ɂ̉@\o
%͈
%   func    :ϕ֐
%               ֐͕֐܂͊֐nh
%               ֐ y = func(x,y)łKv
%   span    :ϕ
%   y0  :l    N   :
%o͈
%   Y   :    X   :̓Ɨϐ
%       ƗϐX̓IvV
    if isa(func,'char')                 %֐H
        fh = str2func(func);            %֐nhւ̕ϊ
    elseif isa(func,'function_handle')
        fh = func;
    end

    %Heun@ɂ@
    h = (span(2)-span(1))/N;    h2 = h/2;
    X = span(1):h:span(2);    Y = zeros(1,N+1);
    Y(1) = y0;
    for i=1:N
        k1 = fh(X(i),Y(i));         %1K
        k2 = fh(X(i),Y(i)+h*k1);    %2K
        Y(i+1) = Y(i)+h2.*(k1+k2);  %Heun@
    end
    
    %߂l̐ݒ
    if 2 == nargout     %߂l2ϐ̏ꍇ
        varargout{1} = Y;
        varargout{2} = X;
    else
        varargout{1} = Y;
    end