function TestModEuler
%CEuler@ɂ̉@̃eXgXNvg
%   ł́CEuler@CCEuler@ode45ł̎sʂ̔r
    span = [0 3*pi];   N = 20;
%    span = [0 2*pi];   N = 20;
    y0 = 0;
    [Ye,te] = SlvEuler(@func2,span,y0,N);         %Euler@
    [Yme,tme] = SlvModEuler(@func2,span,y0,N);    %CEuler@
    [trk,yrk] = ode45(@func2,span,y0);            %4-5Runge-Kutta@
    figure;
    plot(te,Ye,'b', 'LineWidth',2);    hold on;
    plot(tme,Yme,'m', 'LineWidth',2);
    plot(trk,yrk,'r', 'LineWidth',2);
    Ymax = max([Ye; Yme]);
    axis([span(1) span(2) y0 Ymax+Ymax/10])
%     text(span(1)+((span(2)-span(1))/10),y0+Ymax/2,...
%             sprintf('Time Span [%f %f] N=%d',span(1),span(2),N));
    legend('Euler Method','Modified Euler Method',...
           '4-5order Runge-Kutta Method',...
           'Location','Best')
    GrphTitle = ['dy/dt = {\ity}cos({\itt})' ... 
                 '-{\ite^{-t}}sin({\ity}+{\it\pi}/2)+1'];
    title(GrphTitle);
    xlabel('\itt'); ylabel('\ity');
    grid on;
    