function [a0,an,bn] = furies(observ,n,T)
%FURIE Series
%ϑg`observt[GvZD
%   ϑg`observdouble^̔zixNgjȂ΁Cobservt[GvZD
%   ܂CobservzȂ΃t@CwꂽƂCw肳ꂽt@Cf[^ǂݍށD
%       t@C̃tH[}bg͔g`f[^݂̂ƂD
%
%     [a0,an,bn] = furies(observ,n,T)
%   o  a0F
%         anFt[G]iUjxNg
%         bnFt[GiUjxNg
%     observFϑg`
%         nF߂鋉̏
%         TF
%

    %   observ̔
    if isa(observ,'double')         %   observdouble^z̏ꍇ
        f = observ;
    else
        if isa(observ,'char')       %   observt@C̏ꍇ
            fid = fopen(observ,'rt');
            f = fscanf(fid,'%f')';
            fclose(fid);
        else
            error('sȃIuWFNgw肳܂D');
            return;
        end
    end
    [a0,an,bn] = CalcFurieSeries(f,n,T);
end

function [a0,an,bn] = CalcFurieSeries(f,n,T)
%   t[ǦvZ
%       a0F
%       anFt[G]iUjxNg
%       bnFt[GiUjxNg
    [sm,sn] = size(f);                      %ϑf[^̌vZ
    t = linspace(0,T,sn);                   %vZŎgp鎞ԃf[^̌vZ
    dt = t(2) - t(1);                       %TvOԊǔvZ
    an = ones(n,1);     bn = ones(n,1);     %UxNg̃TCYm
    w = 2*pi/T;                             %{eǧvZ
    
    a0 = dt.*trapz(f)./T;                           %̌vZ
    for m = 1:n                                     %egɂt[ǦvZ
        an(m) = (dt.*trapz(f.*cos(m*w*t))).*2./T;
        bn(m) = (dt.*trapz(f.*sin(m*w*t))).*2./T;
    end
end
