function varargout = SlvModEuler(func,span,y0,N)
%[t,Y] = SlvModEluer(func,span,y0,N) Modified Euler Method
%   CEuler@ɂ̉@\o
%͈
%   func    :ϕ֐
%               ֐͕֐܂͊֐nh
%               ֐ y = func(x,y)łKv
%   span    :ϕ
%   y0  :l    N   :
%o͈
%   Y   :    t   :̓Ɨϐ
%       ƗϐX̓IvV

    if isa(func,'char')                 %֐H
        fh = str2func(func);            %֐nhւ̕ϊ
    elseif isa(func,'function_handle')
        fh = func;
    end
    
    a = span(1);    b = span(2);
    h = (b-a)/N;                %ݕ̌vZ
    Y = zeros(N+1,1); Y(1) = y0;  %Ȑ̏Əl̐ݒ
    t = a:h:b;                  %Ԏ̌vZ
    for n = 1:N
        f = Y(n) + h*fh(t(n),Y(n));                   %Euler@ŉA֐ߎ
        Y(n+1) = Y(n)+h*(fh(t(n),Y(n))+fh(t(n),f))/2; %CEuler@ɂȐ̌vZ
    end
    
    %߂l̐ݒ
    if 1 == nargout         %߂l1ϐ̂Ƃ
        varargout{1} = Y;
    elseif 2 == nargout     %߂l2ϐ̏ꍇ
        varargout{1} = Y;
        varargout{2} = t;
    else
        varargout{1} = Y;
        disp('߂lݒ肷ׂł');
    end
